True-Knowledge Overview

Welcome to Altaris True-Knowledge!

True-Knowledge is the premiere knowledge-base management tool for individuals and work groups. True-Knowledge is an information database manager which tracks and manages your formatted notes, tips, tricks, source code or other text-based information. Intuitive and powerful, True-Knowledge's easy-to-use point-and-click Windows™ interface consists of a set of components to assist both users and administrators:

  • The Knowledge Explorer allows you to create and store knowledge articles in custom folders similar to the Microsoft TechNet database. Using the Knowledge Explorer you have full preview access to articles as well as the powerful rich-text article editor and full-text search engine.

  • The Management Console gives you total control over the database and offers powerful customization and management functions.

  • The Launch Pad is your starting point for the Knowledge Explorer and Management Console. Launch Pad also allows you to create and manage your connection profiles. Using profiles will allow you to connect to multiple databases and projects.

Quick Tour

Go to the following sections for a quick visual tour of the following interfaces:

  • Launch Pad

  • Knowledge Explorer

  • Management Console

Getting Started

If you want to get up and running quickly, please go to the 10-Minute Quick Start section. However, we recommend that you read the entire Getting Started section for additional information and explanation of steps.

Copyright ©1997-2004 Altaris Systems, Inc. All rights reserved.


True-Knowledge Components

The True-Knowledge application suite consists of multiple tools to help you create and maintain your knowledge base system. These tools are listed below:

  • Launch Pad: Central application for launching Knowledge Explorer and Management Console and maintaining connection profiles.

  • Knowledge Explorer: Main application for managing knowledge base articles and folders.

  • Management Console: Main application for database and project management.

  • Publisher for Microsoft HTML Help: Used to publish knowledge base to Microsoft HTML Help files.

  • Compact and Repair Wizard: Compacts and repairs Microsoft Jet (i.e. Access) databases.

  • Jet Database Replication Wizard: Creates a copy of an existing Jet database where changes can be synchronized in the future.

  • Jet Database Synchronization Wizard: Synchronizes changes between multiple Microsoft Jet databases.

  • Migration Wizard: Migrates KB-Master 2.5 database data into True-Knowledge databases.

  • Data Transport Wizard: Provides data import and export functions.

  • Diagnostics: Provides installation and environment information.

  • Update Wizard: Checks the Altaris Web site for software updates.


Feature Summary

The following table summarizes the major features in this edition of True-Knowledge v3.5. To find out what has changed in this release, please see the topic What's New in this Version?.

User Interface and Customization

Item

Comments

Windows XP/2003 Themes

Windows XP/2003 themes are now supported.

Knowledge Explorer

  • Incorporates some Microsoft Outlook 2003 interface features

  • Reading pane permits full article preview

  • Reading pane can be docked either to the right or the bottom of the results pane

  • Locate folders after a search

  • Save favorite folders

Management Utilities

Task-based database and project management tools are provided within the Knowledge Explorer and Management Console utilities

Launch Pad

Provides simple starting point for multiple tools

Enhanced Management Console

New task-based interface

Powerful Search Tool

You can build simple or advanced queries using the provided field criteria. You can even view the generated SQL statements should you desire to use the same criteria in external reporting environments.

Search and Replace

You can search for and replace text across multiple articles within the same project.

Saved Searches

Your searches can be saved locally or within the database for future use.

E-Mail Articles

Articles can be mailed using either Internet Mail (SMTP) or MAPI (e.g. Outlook).

Architecture

Item

Comments

Popular database support

  • Microsoft SQL Server or MSDE

  • Microsoft Access

Central Database

Multiple projects can be created within the same database allowing users to segregate their data.

Security

User accounts and role-based security have been added for more control. Access to database, projects and articles require valid account privileges.

Dedicated task tools

Many additional tools are included. In addition to the authoring and management tools, additional tools have been included (e.g. Database Wizard, Profile Manager, Data Transport Wizard, Compact Wizard, Replication and Synchronization Wizards, Migration Wizard, Publisher for HTML Help).

Profile-based connections

In case you need to connect to more than one database, connection profiles allow you to conveniently store and recall your database and project connection information.

Tool Logging

A number of the True-Knowledge wizards now provide extensive action logs for informational and debugging purposes.

Migration Wizard

This tool is provided to help you migrate KB-Master 2.5 data to a True-Knowledge database.

Collaboration

Item | Comments
Article Tracking | Special article properties are available for tracking and managing articles.
Attachments | Article attachments can include hyperlinks to external files and other targets.
Notes | Notes allow authors and collaborators to share information about an article.
Share Information | Profiles and search queries can be exported and shared with other users. The Data Transport Wizard can also be used to export and import project information.


What's New in this Version?

True-Knowledge has a number of enhanced features in this version.

Changes in Version 3.6

Item | Comments
Enhanced user interface | Enhanced the user interfaces of Launch Pad, Knowledge Explorer and Management Console.
SQL Server Build Script | The "Create Database Wizard" now uses a SQL script to build new SQL databases. See the MODELS\SQL folder for the script.
"Add Profile" Wizard | A wizard assists with creation of new connection profiles.
Welcome Article | When new databases and projects are created, a Welcome page is now generated and placed in the root project folder.
Folder Layout Designer | When creating new projects from the Management Console, a new Folder Layout tab is available for creating your initial project folder layout.
FIX: Orphan folders | Fixes and prevents orphan folders when folders are removed.
FIX: UNC Attachments | Fixes the problem where attachments following the Universal Naming Convention (UNC) could not launch because of a missing slash.
FIX: Passwords | Fixes problem where launch pad used an incorrect password when launching the management console.
FIX: Miscellaneous | Many smaller fixes and enhancements have been incorporated in this release.

Changes in Version 3.5 Service Release 2

Item

Comments

Windows XP and 2003 Themes

  • Windows XP and 2003 themes are now supported.

  • This release has been tested on Windows XP Service Pack 2.

Enhanced Knowledge Explorer

  • Re-designed Knowledge Explorer incorporates some Microsoft Outlook 2003 interface features

  • New search toolbar added to reading pane

  • Enhanced reading pane now supports notes and attachments display

  • Enhanced reading pane allows you to quickly locate the folder containing the selected article

  • Reading pane shows more article information

  • Reading pane can be docked either to the right or the bottom of the results pane

  • New system search filters added to track articles with attachments and notes

Management from Explorer

  • The Management Console interface has also been incorporated into the Knowledge Explorer to reduce the need to switch between tools.

  • A new Database Consistency Check option has been added to verify the consistency of the True-Knowledge database.

Enhanced Launch Pad

The Launch Pad has been simplified and streamlined.

Enhanced Management Console

New task-based interface

Database Wizard

The new Database Wizard helps you to perform all the steps necessary to create a new True-Knowledge database (SQL Server/MSDE or Access).

Other fixes and enhancements

Many smaller fixes and enhancements have been incorporated in this release.

Revised supported platforms

The following are no longer officially supported by Altaris Systems but the application should work on these platforms if the proper Microsoft Data Access Components (MDAC) and service packs are installed:

  • Windows 98

  • Windows Millenium Edition

  • Windows NT 4.0

The following database is no longer officially supported by Altaris Systems but the application should work as long as MDAC 2.5 (or higher) and service packs are installed.

  • Microsoft SQL Server 7.0

  • MSDE 1.x


Launch Pad Interface

See Also

Launch Pad Interface

Knowledge Explorer - Project Folders Workspace

Knowledge Explorer - Management Workspace

Knowledge Explorer - Article Editor

Management Console Interface

This section will introduce you to the various aspects of the True-Knowledge Launch Pad user interface.

General Layout

The Launch Pad is a task-based utility intended to be your main entry point to the most common True-Knowledge utilities.

Item

Comments

Sections 1 and 2

Profile Management: A connection profile enables you to connect to a True-Knowledge database and project. Use the tasks in Section 1 to manage your profiles. All profiles found on your computer will be displayed in Section 2. When you have selected a connection profile, press OK to open the Knowledge Explorer using the information contained in the selected profile.

Automatic Logon: In Section 2, any profile that contains project logon information will have the corresponding field checked. If you specify project information in your profile, the Knowledge Explorer will attempt to logon with this information rather than prompt you.

Section 3

After you have selected a connection profile from the list, you may click on either the Knowledge Explorer or the Management Console applications.

Note: All of the Management Console functionality is included within the Knowledge Explorer. The functionality will be available if the user has the proper application administrative privileges.

Section 4

Create New Database: This task will launch the Database Wizard.

Section 5

  • User's Guide: Opens the online help file. This file requires the Adobe Acrobat Reader.

  • Altaris Website: Open the Altaris System Web site using your default Web browser.

  • Check for Updates: Connects to the Altaris Systems web site to check for newer version of the True-Knowledge software.

  • Obtain another license: Shows options for ordering additional copies of True-Knowledge.


Knowledge Explorer Interface

Altaris Systems

True-Knowledge Documentation

Knowledge Explorer Interface - Project Folders Workspace

See Also

Launch Pad Interface

Knowledge Explorer - Project Folders Workspace

Knowledge Explorer - Management Workspace

Knowledge Explorer - Article Editor

Management Console Interface

This section will introduce you to the various aspects of the True-Knowledge Explorer user interface.

General Layout

True-Knowledge displays a menu bar along the top of the screen with a variety of menu titles. Selecting a command from one of these menus either performs an action or displays a submenu or dialog.

The Main Workspace area within the Explorer window is divided into one or more panes depending on the activity in progress. The following diagram and table further explain the workspace elements.

Section | Comments
Sections 1 | Special Folders: Contains special folders and search filters. See Showing and Hiding Windows Panes for customization information.
Section 2 | Project Folders: Maintain your project folders here. See Showing and Hiding Windows Panes for customization information.
Section 3 | Workspace Navigator: You can select either the Project Folders or Management Console workspaces.
Section 4 | Find Pane: Common search tasks can be performed from this pane. This pane can be hidden. See Showing and Hiding Windows Panes for customization information.
Section 5 | Results Pane: All search results will be displayed in this pane. See Showing and Hiding Windows Panes for customization information.
Section 6 | Reading Pane Navigation: You may display an article's content, properties, attachments or notes.
Section 7 | Article Shortcuts: Contains common task shortcuts for the selected article. All available article actions can be accessed either by right-clicking on the article from within the Results Pane or choosing from the Article menu.
Section 8 | Article title
Section 9 | Reading Pane Preview: Articles can be previewed in this pane. This pane can be placed to the right or below the Results Pane. This pane can also be hidden. See Showing and Hiding Windows Panes for customization information.


Knowledge Explorer Interface - Management Workspace

See Also

Launch Pad Interface

Knowledge Explorer - Project Folders Workspace

Knowledge Explorer - Management Workspace

Knowledge Explorer - Article Editor

Management Console Interface

This section will introduce you to the various aspects of the True-Knowledge Explorer user interface.

General Layout

True-Knowledge displays a menu bar along the top of the screen with a variety of menu titles. Selecting a command from one of these menus either performs an action or displays a submenu or dialog.

The Main Workspace area within the Explorer window is divided into one or more panes depending on the activity in progress. The following diagram and table further explain the workspace elements.

Section | Comments
Section 1 | Administation Tree: Contains management components organized into a tree.
Section 2 | Task Area: Contains tasks depending upon the selected item within the Administration Tree.
Section 3 | Workspace Navigator: You can select either the Project Folders or Management Console workspaces.
Section 4 | Results Pane: All search results will be displayed in this pane.


Article Editor User Interface

See Also

Launch Pad Interface

Knowledge Explorer - Project Folders Workspace

Knowledge Explorer - Management Workspace

Knowledge Explorer - Article Editor

Management Console Interface

This section will introduce you to the various aspects of the Knowledge Explorer's Article Editor user interface.

General Layout

The Article Editor displays a menu bar along the top of the screen with a variety of menu titles. Selecting a command from one of these menus either performs an action or displays a submenu or dialog.

Directly below the menu bar is one or more toolbars with an array of buttons that provide access to the most commonly used commands.

Section

Comments

1

Menu: Provides access to most actions and commands.

2

Action & Formatting Toolbars: Provides one-click access to a number of common actions and formatting options.

3

  • Ruler: Allows you to see the alignment of your article as it will be printed. Tab and margin indicators are provided to further assist in aligning your document text.

  • See Customize Toolbar Display for customization information.

4

  • Article Body: The workspace for the body of your article. Use the menus and toolbars to format your document as needed. The above

  • See Article Editor Overview for task and functionality information.

  • See Change Editor Page Layout to customize the page layout.

5

  • Status Bar: Provides page statistics to help you locate where you are within the article body.

  • See Customize Toolbar Display for customization information.


Management Console Interface

See Also

Launch Pad Interface

Knowledge Explorer - Project Folders Workspace

Knowledge Explorer - Management Workspace

Knowledge Explorer - Article Editor

Management Console Interface

This section will introduce you to the various aspects of the Management Console user interface.

General Layout

The Management Console displays a menu bar along the top of the screen with a variety of menu titles. Selecting a command from one of these menus either performs an action or displays a submenu or dialog.

Section | Comments
1 | Administation Tree: Contains management components organized into a tree.
2 | Task Area: Contains tasks depending upon the selected item within the Administration Tree.
3 | Results Pane: All search results will be displayed in this pane.


Quick Start Overview

Altaris Systems

True-Knowledge Documentation

True-Knowledge Quick Start

Role

Everyone

Although the general steps for installing and configuring True-Knowledge can be performed quickly, this section is dedicated to making this process even quicker and easier.

If you are a first-time user, follow the steps in this section to install and perform initial True-Knowledge configuration.

  1. Install the True-Knowledge software

  2. From your desktop or the True-Knowledge program group, run the True-Knowledge Launch Pad.

  3. If there are no True-Knowledge Connection Profiles already installed on your machine, you will taken to the Database Wizard. The Database Wizard will create a new database automatically. However, if you would prefer to manually create your database, then perform one of the following steps:

    1. Install your Access (OR)

    2. Install your SQL Server database

  4. The Database Wizard will help you to accomplish the following tasks:

    • Create a new Microsoft Access or SQL Server database

    • Create an administrator account

    • Change the default administrator password

    • Create a new project

    • Create new administrator and general user security roles

    • Create an initial project folder layout

    • Create a new connection profile

    • Launch the Knowledge Explorer and connect you to your new database and project

  5. You may now start the Knowledge Explorer to begin adding articles to your new project or you can use the Management Console to perform additional administration.

Next Steps

Review the rest of the Getting Started topics to determine whether or not you need to do any additional tasks for your environment.


System Requirements

True-Knowledge is designed for the following 32-bit operating systems:

  • Windows XP, 2000, 2003 or higher recommended

Altaris Systems does not officially support the following operating systems but the application should work assuming the latest service pack is installed (if applicable):

  • Windows 98 (latest version)

  • Windows Millenium Edition

  • Windows NT 4.0 (latest service pack)

Additional Software Requirements

These components should already be available on the supported operating systems. If you are running on a non-supported operating system, ensure the following are installed.

  • Microsoft Data Access Components (MDAC) 2.5 Service Pack 2 (or later)

    Note:     You may obtain the latest release of the MDAC components from http://www.microsoft.com/data/download.htm.

  • Microsoft DCOM (for Windows 95 users): The MDAC installation should notify you whether or not you need these components installed.

  • Microsoft XML Parser 3.0 Service Pack 1 (or later)

    Note:     You may obtain the latest release of the MS XML parser from http://msdn.microsoft.com/library/default.asp?url=/nhp/Default.asp?contentid=28000438

Database Requirements

The following databases are supported:

  • Microsoft Access 2000

    Note:     Microsoft Access is not required. However, this is the Access-compatible database format (Jet) used by True-Knowledge. You may able to use a later version of Access to view and report on True-Knowledge data as long as the database format is not changed.

  • Microsoft SQL Server 2000 or MSDE 2000 (or higher)

    Note:     The application should work with Microsoft SQL Server 7.0 but this release of SQL Server is no longer officially supported by Altaris Systems.


Install True-Knowledge

Role | Everyone
Next Step | Start the Launch Pad or manually install database (Access or SQL Server).

Follow these steps to install the True-Knowledge software:

  1. Go to the folder where you downloaded the True-Knowledge installation executable and execute it.

  2. Follow the installation wizard prompts to complete the installation.

NOTE: Depending on your system configuration, you may be prompted to reboot your computer.

Next Step: Install Access or SQL Server database using the Database Wizard.


Using the Launch Pad

Role

Everyone

Overview

The Launch Pad is your starting point for launching the Knowledge Explorer, Management Console and other tasks such as profile management and database creation. Take some time to navigate the various menus and help topics to learn more about this tool.

Starting the Launch Pad

Follow these steps to start the Launch Pad utility:

  1. From the Windows Start menu, choose All Programs > Altaris True-Knowledge > Launch Pad.

  2. If this is your first time using True-Knowledge or if no connection profiles exist on your machine, the Database Wizard will be displayed to assist you with creating a new database and project.

    1. After the Launch Pad has started, you will be presented with the following dialog. The available options are described in the below sections.

Item

Comments

Sections 1 and 2

Profile Management: A connection profile enables you to connect to a True-Knowledge database and project. Use the tasks in Section 1 to manage your profiles. All profiles found on your computer will be displayed in Section 2. When you have selected a connection profile, press OK to open the Knowledge Explorer using the information contained in the selected profile.

Automatic Logon: In Section 2, any profile that contains project logon information will have the corresponding field checked. If you specify project information in your profile, the Knowledge Explorer will attempt to logon with this information rather than prompt you.

Section 3

After you have selected a connection profile from the list, you may click on either the Knowledge Explorer or the Management Console applications.

Note: All of the Management Console functionality is included within the Knowledge Explorer. The functionality will be available if the user has the proper application administrative privileges.

Section 4

Create New Database: This task will launch the Database Wizard.

Section 5

  • User's Guide: Opens the online help file. This file requires the Adobe Acrobat Reader.

  • Altaris Website: Open the Altaris System Web site using your default Web browser.

  • Check for Updates: Connects to the Altaris Systems web site to check for newer version of the True-Knowledge software.

  • Obtain another license: Shows options for ordering additional copies of True-Knowledge.

Managing Profiles with the Launch Pad

Follow these steps to manage True-Knowledge connection profiles with the Launch Pad utility:

  1. Start the Launch Pad utility.

  2. If you would like to create a new profile, choose Add New Profile from the Profile Tasks section. Otherwise, select one of the other applicable tasks. The remaining steps assume you have either selected Add New Profile or Change this Item.

  3. The Profile Editor is now displayed. Enter the appropriate fields on the Database Connection tab.

  4. Test your database connection, by pressing the Test Connection button. If your connection test fails, correct the error and try again.

    NOTICE:     If this profile is for a database that does not have project information, STOP HERE and proceed to Using the Management Console. After you have generated project data, you may return to this page either to update the connection profile or create a new profile reflecting the project details.

  5. Select the Project Credentials tab, and enter the appropriate field information.

  6. Press OK to save your profile information.


Using the Database Wizard

Role | Everyone
Next Step | Launch Knowledge Explorer or the Launch Pad.

Overview

The Database Wizard will help you to perform all the tasks necessary to create a new True-Knowledge database and project. If you start the Launch Pad and do not have any connection profiles on your computer, the Database Wizard will automatically be displayed. You may also manually launch the Database Wizard from the Launch Pad.

Starting the Database Wizard

Follow these steps to manually start the Database Wizard utility:

  1. Start the True-Knowledge Launch Pad.

  2. If this is your first time using True-Knowledge or if no connection profiles exist on your machine, the Database Wizard will be displayed to assist you with creating a new database and project. Otherwise, select Create New Database task from the Other Tasks section.

  3. If no profiles are installed on your computer, you will see the Database Wizard introduction screen.

  4. Press Next to continue to the first page. Select a database type from the drop-down list and press Next to continue.

    NOTE: If the Microsoft SQL Server client tools are not found on your computer, you will only be able to select Microsoft Access from the database list.

  5. On the Database page, specify the proper new database information depending upon the database type that you have selected. Press Next to continue.

    NOTE: If you are creating a Microsoft SQL Server or MSDE database, you will need proper logon credentials to connect to Microsoft SQL Server.

  6. On the Administrator Accounts page, you can create a new True-Knowledge Administrator account within your new database. Additionally, a new True-Knowledge database will contain a SUPERUSER account named Admin with a blank password. Be sure to specify a new password for the Admin account on this page. Press Next to continue.

  7. On the Security Roles page, you may accept the default security roles or rename these roles. Press Next to continue.

  8. On the Project Information page, specify the name of the new project that will be created within your new database. Press Next to continue.

  9. On the Project Folder Layout page, you may select one of the template folder layouts or create your own. You can always change the folder layout from the Knowledge Explorer but this is a good opportunity to do as the database and project are created. Press Next to continue.

  10. On the Profile Name page, specify the new of a new connection profile. This profile will automatically be create with all of the information required to connect to your new database and project. Once the wizard has been completed, you will see your new profile listed within the Launch Pad profile list. Press Next to continue.

  11. On the Build Database page, press Start to begin the database and project generation process. When all of the tasks have been completed, you will see the final results and addition options. If you leave the option Open with Explorer... marked, you will automatically open the Knowledge Explorer with your new profile after you press the Close button.

  12. Press Close to close the wizard and start the Knowledge Explorer (if this option is selected).


Use Knowledge Explorer

Altaris Systems

True-Knowledge Documentation

Using the Knowledge Explorer

Role

Everyone

Requirements

  1. A connection profile to an existing True-Knowledge database.

  2. A valid user account assigned to an existing project.

See Also

Create a Connection Profile

Using the Management Console

Security Note

The availability and functionality of some operations may be determined by a user's security privileges.

Overview

The Knowledge Explorer is your primary tool for managing True-Knowledge articles and folders. The Knowledge Explorer workspace contains a lot of functionality to help you create, maintain and track your article. If you have the proper security settings, you may also manage your database from the Explorer. Take some time to navigate the various menus and help topics to learn more about this tool.

Starting the Knowledge Explorer

Follow these steps to start and connect to the Explorer:

  1. Start the Launch Pad. Then select a profile from the list and press OK

    MANUAL START:     You can manually launch the Knowledge Explorer from the True-Knowledge program group. Alternatively, you can execute <installation path>\kexplore.exe.

  2. If prompted for your profile, select an existing profile and press the OK button to connect. If your connection fails, please correct the error and try again.

    NOTICE:     Your connection profile must contain both database connection and project logon information. If your profile does not contain this information or contains incorrect logon credentials, you will need to update your profile before you can use it to logon with the Knowledge Explorer.

  3. Once connected, you are presented with Project Folders workspace similar to the one seen below. You are now connected and may proceed with managing your folders and articles.

  4. To create a new article, choose menu Article > New or CTRL+N and you will be prompted with the New Item dialog.

  5. Select one of the available article template types, enter the article body and press Save to return to the Knowledge Explorer. If you want to use the advanced editor to continue editing your article, ensure the Open editor after saving new article option is selected.


Use Management Console

Altaris Systems

True-Knowledge Documentation

Using the Management Console

Role

Administrator

Requirements

  1. A connection profile to an existing True-Knowledge database.

  2. Administrative account.

Previous Step

Create a Connection Profile

Next Step

See available tasks below.

Overview

The Management Console is an administrative tool that can be used to configure your True-Knowledge projects and databases. Select one of the following tasks to learn more:

  • Project Definition and Management

  • User Management

  • Security Role Management

  • Project Team Management

  • Lookup Table Maintenance

  • Profile Management

  • User Connection Statistics

  • System Log Review

Starting the Management Console

Follow these steps to start and connect to the Management Console:

  1. You can launch the Management Console from the Launch Pad or from the True-Knowledge program group. Alternatively, you can execute <installation path>\kconsole.exe.

    Knowledge Explorer:     To display the Management Console from the Knowledge Explorer, press the Manage Database toolbar button.

  2. If prompted for your logon credentials, select an existing profile and provide the appropriate logon information.

    NOTICE:     To connect using the Management Console, you MUST use an account that (1) is designated as an administrator or (2) has the administrative privilege.

    SPECIAL ACCOUNT:     All True-Knowledge databases are provided with an administrative account called admin with no password. If this is your first time configuring a database, you may use this account. It is recommended that you immediately assign a password to this administrative account to reduce the security risk.

  3. Once connected, you have the Management Console workspace as seen below. You are now connected and may continue managing your database.


Create Users

Role | Administrator
Requirements | Administrative account or account with project management privileges

To create a new True-Knowledge user account:

  1. Start the Management Console

  2. Navigate to the Users folder

  3. Select the Users folder. Right-click on the folder to display the context menu.

  4. Pick Add from the context menu.

  5. Fill in the user information and press OK to save your user. You should now see your user account in the list of available users.

SPECIAL NOTES

  • Active User: If this property is not selected, this user will NOT be able to logon to either the Management Console or the Knowledge Explorer.

  • System Administrator: This property is the equivalent of a superuser account. Use this property sparingly to reduce security risk to your data. Almost all Console and Explorer functions can be secured through role privileges. So you can still create administrators without giving them this property.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Add Role

Role | Administrator
Requirements | Administrative account or account with project management privileges

To create a new True-Knowledge user account:

  1. Start the Management Console

  2. Select the Roles folder and choose the Add new item task from the Task Area section.

  3. Fill in the role information and designated privileges. Then press OK to save the new role. You should now see this role in the list of available roles.


Create New Project

Altaris Systems

True-Knowledge Documentation

Create a New Project

Role

Administrator

Requirements

Administrative account or account with project management privileges

Next Steps

  1. Create security roles

  2. Assign project team

  3. Manage lookup data

To create a new True-Knowledge project:

  1. Start the Management Console

  2. Navigate to the Projects folder

  3. Select the Projects folder. Right-click on the folder to display the context menu.

  4. Pick Add from the context menu.

  5. Fill in the project information and press OK to save your project. You should now see your project in the list of available projects.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Maintain Project Team

Role | Administrator
Requirements | Administrative account or account with project management privileges
See Also | Create Users Create Projects Create security roles Manage lookup data

To maintain the project members for an existing True-Knowledge project:

  1. Start the Management Console

  2. Navigate to the Projects folder

  3. Select the Projects folder and the list of available projects will be listed in the results pane. Choose the Show Members task from the Task Area section.

  4. The resulting dialog shows the current project members. Press the Modify button to add or remove members from the project.

  5. To maintain the project team, select the desired user account and security role. Then use the Add or Remove buttons accordingly.

  6. Press OK to return to the member list. Press OK again to save your project team.


Manage Lookup Table Data

Role | Administrator
Requirements | Administrative account or account with project management privileges
See Also | Add Lookup Value Change Lookup Value Remove Lookup Value

Overview

Lookup tables contain the data that appear in the various drop-down lists within the Article Editor. There lookup values include the following article property types:

  • Categories: High-level categorization

  • Components: Sub-category information

  • Document Types: Describes the type of article

  • Impact: How it relates to the project or subject

  • Locator Codes: Special codes used to tag and identify groups of related articles

  • Platforms: Platform

  • Project Phases

  • Status

  • Target Releases

  • Versions

Adding a New Lookup Value

To create a new lookup table value:

  1. Start the Management Console

  2. Navigate to the Lookup Tables folder

  3. Select the desired sub-folder (e.g. category, impact) folder. Right-click on the folder to display the context menu.

  4. Pick Add from the context menu.

  5. Fill in the appropriate information. Then press OK to save your entry. You should now see this value in the list of available values for your lookup table.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


New Microsoft Access Database

Altaris Systems

True-Knowledge Documentation

Install Microsoft Access Database

Role | Administrator
Requirements | Source database. Location = <installation path>\Models\Access\kbm31.mdb
Previous Step | Install True-Knowledge
Next Step | Create a Connection Profile

Once the True-Knowledge software has been installed, a sub-directory will be created under the installation path called Models\Access (e.g. C:\Program Files\Altaris Systems\True-Knowledge\Models\Access).

To create a new Microsoft Access-compatible database:

Copy the KBM31.MDB file to a new database path of your choice.

Example: Copy "C:\Program Files\Altaris Systems\True-Knowledge\Models\Access\KBM31.MDB" to "<target path>\MYCORP.MDB"

WARNING: Make sure that you only COPY the file from the Models\Access folder and DO NOT move it. You will need this file if you ever need to create another Microsoft Access-compatible database for True-Knowledge.

Next Step: Create a Connection Profile

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


New Microsoft SQL Server Database

Altaris Systems

True-Knowledge Documentation

Prepare New Microsoft SQL Server Database

Role

Administrator

Requirements

  1. Microsoft SQL Server installed.

  2. Copy of <Application Path>\Models\SQL\TK35_Model_Template.sql

  3. The administrator must have SQL Server administrative privileges to complete these steps.

Notice

One you complete this section. you will need to record the appropriate connection information for both the SQL Server and your new database in order to later build a connection.

Assumption

You are familiar with basic MS SQL Server administration tasks.

Previous Step

Install True-Knowledge

Next Step

Create a Connection Profile

Follow these steps to create a new True-Knowledge database under Microsoft SQL Server:

  1. Ensure that you have met the criteria requirements listed above.

  2. Copy the <Application Path>\Models\SQL\TK35_Model_Template.sql file to your desired location.

    WARNING    : Make sure that you only COPY the file from the Models\SQL folder and DO NOT move it. You will need these files if you ever need to create another True_Knowledge SQL database.

  3. From the Microsoft SQL Server folder, start the Query Analyzer. If prompted, enter your logon information and press OK to continue loading the Analyzer.

  4. Copy the contents of <Application Path>\Models\SQL\TK35_Model_Template.sql into the Query Analyzer workspace and replace the following strings as follows:

    Replace $$DATABASENAME$$ with name of your new database
    Replace $$DATAFILE$$ with name of your new database data file
    Replace $$LOGFILE$$ with name of your new database transaction log file

    Then press the checkmark to check the syntax of the command.

  5. Press the Execute button (green arrow) to execute the attachment script. You should see a message indicating success. If you do not, please correct the error and try again.

  6. Your database should now be ready for use. You can confirm this by starting the SQL Server Enterprise Manager and reviewing the list of databases. You should see your new True-Knowledge database listed.

Next Step: Create a Connection Profile

Copyright ©1997-2004 Altaris Systems, Inc. All rights reserved.


Migrating Data from KB-Master v2.5

Role

Administrator

Requirements

  1. An existing KB-Master 2.5D (or higher) Access-compatible database.

  2. An existing True-Knowledge database.

  3. An existing True-Knowledge connection profile.

See Also

Install Access or SQL Server database

Create Connection Profile

Create Users

Create Projects

Overview

Altaris has provided the True-Knowledge Migration Wizard to assist administrators with the task of migrating existing KB-Master 2.5D (or higher) databases into a new True-Knowledge project. The new project-centered format of the True-Knowledge database allows multiple KB-Master databases to be migrated to a central database.

The Migration Wizard will assist you in performing the following tasks:

  • Migrate the old KB-Master data format to the True-Knowledge format

  • Migrate and map old article ID's to the new sequential ID's. A mapping report and table are created for future reference.

  • Automatic user account generation from KB-Master article author names.

  • Automatic generation of True-Knowledge locator codes from old article ID's

  • Automatic article abstract generation

  • Generation of migration log for reference

Getting Started

  1. Prepare for Migration

  2. Use the Migration Wizard

  3. Perform Migration Post-Processing

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Technical Migration Details

Role

Administrator

Requirements

  1. An existing KB-Master 2.5 Access-compatible database.

  2. An existing True-Knowledge database.

  3. An existing True-Knowledge connection profile.

See Also

Migrating Data from KB-Master 2.5

Install Access or SQL Server database

Create Connection Profile

Create Users

Create Projects

Overview

This section explains some of the technical details behind the migration. Although the majority of these steps are automated, this topic is intended to help administrators understand how the data is transformed from a standalone database into a project within a centralized database.

Database to Project Migration

One of the major differences between KB-Master and True-Knowledge is the physical database layout. KB-Master used a central database. However, if a user wanted to segregate different projects within the same database, this could only be simulated with the use of folders. Conversely, True-Knowledge is project-focused with integrated security and account management.

To address the change in architecture, the wizard will automatically create a new Project in the target database and migrate the data accordingly. This project separation has the added benefit of permitting a load into the database without impacting other projects in the same database. If the administrator wishes to perform a trial run, this can easily be accomplished and then the test project can be deleted.

All project-dependent and article-dependent tables have a ProjectID and ArticleID key field(s), respectively. Referential integrity rules are in place to manage updates to these properties.

Table Migration

KB-Master 2.5 Table | Details
Attachments | Existing attachments are migrated and mapped to their new article ID. Refer to the article migration section for location of mapping information.
Category | By default, all entries are migrated to table Component. These entries are available to all projects in the target database. NOTE: The wizard will allow you to migrate to the new CATEGORY table rather than COMPONENT.
Filter | Filters are not migrated because of the considerable database differences and new filter format.
FolderView | This table has been removed. Each article has a "FolderID" property that links it to a folder.
LocatorCode | Used locator codes are stripped from the old article ID and migrated to the new database. These entries are available to all projects in the target database.
PublicFolder | All entries are migrated to table ProjectFolder.
Sub_Category | By Default, all entries are migrated to table Category. These entries are available to all projects in the target database. NOTE: The wizard will allow you to migrate to the new COMPONENT table rather than CATEGORY.
Topic | All entries are migrated to table Article. See the Article Migration section for more details.
UserLog | This table is not migrated. Logon tracking is managed with the ProjectMember and Account tables accordingly.
View | This table is not migrated.
View_Columns | This table is not migrated.

Topic Author Migration

The True-Knowledge database has referential integrity rules in place that require a valid "CreatedByAccountID" property associated with each article. Although KB-Master does not have this property, the Migration Wizard addresses this gap. The following table illustrates the migration process.

KB-Master Item

Details

Topic.Author

This field is mapped to "Article.Author". However, "Article.CreatedByAccountID" will automatically be assigned to the Admin account.

(Optional) By default, the new "Article.Author" will also be used to add a new Account entry if it does not already exist in the target database. This behavior may be overridden from the Migration Wizard.

Note: It is possible that these new account names will not conform to your account naming convention. It is recommended that you use the Management Console to rename the account. By renaming the account, referential integrity rules will ensure that all related fields through the database are automatically updated.

New Account

(Optional) When the new account is created in the True-Knowledge database, it is flagged as an inactive account. This allows the administrator the opportunity to rename and reassign the account to the proper security role(s) and project(s).

New Role

(Optional) To facilitate the migration, all migrated authors are placed into a new security role called Migrated_v25. This role has no privileges as is purely intended as a placeholder role until the administrator can maintain the desired account names and security roles.

Article Migration

A True-Knowledge article (formerly known as "Topic") contains a more extensive set of properties than KB-Master. The following table highlights some of the key Article table properties and their relation to KB-Master.

Property | Details
ProjectID | All articles now belong to a project. Note: (Optional) Both the migration log and the SystemArticleConverted25 table contain mapping information with the new ProjectID and ArticleID.
ArticleID | OLD: KB-Master uses a topic ID convention of <locator-code>-<timestamp> for creating unique IDs. NEW: However, True-Knowledge uses an ascending numeric value to identify the article. The migrated locator code has been moved to the "Article.LocatorID" property. Note: Both the migration log and the SystemArticleConverted25 table contain mapping information with the new ProjectID and ArticleID.
FolderID | OLD: KB-Master records folder-article relationships in table FolderView. NEW: True-Knowledge maintains this relationship within the FolderID property.
Body | OLD: KB-Master stores the topic body in field Topic.Details. NEW: True-Knowledge stores the article body in Article.Body.
Abstract | The migration wizard can use up to the first 255 characters of the article body and generate an article abstract.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Prepare for Migration

Role

Administrator

Requirements

  1. An existing KB-Master 2.5 Access-compatible database.

  2. An existing True-Knowledge database.

  3. An existing True-Knowledge connection profile.

See Also

Install Access or SQL Server database

Create Connection Profile

Create Users

Create Projects

A migration of data from KB-Master to True-Knowledge is largely automated. However, it is important to understand the steps involved and the changes between the products. This section highlight the key preparation tasks.

Task

Comments

Read the online help

The following topics should provide a good foundation for the migration:

  • Migrating Data from KB-Master 2.5

  • Technical Migration Details

  • Prepare for Migration (this topic)

  • Using the Migration Wizard

  • Migration Post-Processing

Backup

Although the wizard will automatically generate a backup of the KB-Master database, it is always recommended that you perform your own backup prior to migration.

If you have an existing True-Knowledge database with active data, it is highly recommended that you also backup this database as well.

Create and Prepare New Database

The target True-Knowledge database must be created before the migration. You may use an existing database with active data or you may follow the Getting Started steps to create an initial database.

Create a Connection Profile

The wizard will prompt you for a valid connection profile. At a minimum, the profile must contain a database connection and existing account name.

Note 1: If you are migrating a new database (i.e. contains no existing projects), you will update your profile with the correct Project Credentials following the migration.

Note 2: All True-Knowledge databases include an account named admin that has a blank password.

Design Your Account and Security Architecture

Having your account and security conventions documented will save you time during your post-processing activities.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Use Migration Wizard

Altaris Systems

True-Knowledge Documentation

Use the Migration Wizard

Role

Administrator

Requirements

  1. An existing KB-Master 2.5 Access-compatible database.

  2. An existing True-Knowledge database.

  3. An existing True-Knowledge connection profile.

See Also

Migrating Data from KB-Master 2.5

Technical Migration Details

Prepare for Migration

Migration Post-Processing

Install Access or SQL Server database

Create Connection Profile

Create Users

Create Projects

Follow these steps to migrate a KB-Master 2.5 database into a True-Knowledge project:

  1. From the True-Knowledge program group, execute the Migration Wizard. Alternatively, you may execute <installation path>\kbm31cnv.exe. You will see the Migration Wizard dialog. Press Next to continue.

  2. On the File Locations screen, enter the path to a KB-Master 2.5 database and a True-Knowledge profile. When you have finished with this step, press Next to continue.

  3. The wizard will provide a default name for your migrated project. You may change the project name and description as desired. Press Next to continue.

  4. In most cases, the admin account should already exist in the target database. However, if it does not exist, the wizard will create the account and allows you to set the initial password. Proceed accordingly and then press Next to continue.

  5. On the Article Abstracts screen, you may allow the wizard to automatically generate an abstract (first 0-255 characters of article body) from your existing articles. Choose a valid value or leave this option blank. Press Next to continue.

  6. On the Advanced Options screen, you may change the default migration processing options as illustrated in the below screens. Set your desired options and press Next to continue.

  7. At the Start Migration screen, you are now ready to begin the migration. Press Migrate and the wizard will proceed through a list of migration tasks. If any errors occur, you will be notified.

  8. Once the wizard completes the migration, all task steps will be marked Complete and you will be shown a set of messages that contain both the status and location of the migration log. Read this information. Once you are ready to terminate the application, press the Close button.

  9. Proceed to Migration Post-Processing.


Migration Post-Processing

Role | Administrator
Requirements | The migration wizard must be successfully completed.
See Also | Migrating Data from KB-Master 2.5 Technical Migration Details Prepare for Migration Using the Migration Wizard Using the Management Console Create Users Create Projects
Note | Make sure you update your connection profile with the project and account information from your newly migrated project. The Knowledge Explorer will not be able to connect to your migrated project until you have performed this task.

Follow these steps to perform True-Knowledge migration post-processing:

  1. After performing the migration, review both the migration log (MIGRATE.LOG) and the article ID map (ARTICLE_MAP.LOG).

  2. If your migration was successful, use the Management Console to:

    • maintain your project;

    • maintain users;

    • maintain security roles;

    • maintain project team

  3. Use the Launch Pad to update your connection profile with your newly migrated project and account information.

  4. Resume the tasks indicated in the Getting Started folder within the online help.


Using Profile Manager

Altaris Systems

True-Knowledge Documentation

Managing Connection Profiles

Role | Everyone
Requirements | You must have access to an existing True-Knowledge database.
Previous Step | Install Access or SQL Server database
Next Step | If you are an administrator and have not created project information, then either go to Migrating Data from KB-Master 2.5 or Use the Management Console; ...Otherwise go to Use the Management Console
See Also | Add Profile Change Profile Remove Profile Export Profile Import Profile

Overview

A connection profile allows you to store database and project logon data on your computer so that you do not have to type it every time you need to connect to a True-Knowledge project or database. Connection profiles are managed with the Profile Manager. Profiles can be create and managed from the Launch Pad. Additionally, profiles can be managed using the Management Console or the Knowledge Explorer Manage Database workspace..

Managing Profiles with the Launch Pad

Follow these steps to manage True-Knowledge connection profiles with the Launch Pad utility:

  1. Start the Launch Pad utility.

  2. If you would like to create a new profile, choose Add New Profile from the Profile Tasks section. Otherwise, select one of the other applicable tasks. The remaining steps assume you have either selected Add New Profile or Change this Item.

  3. The Profile Editor is now displayed. Enter the appropriate fields on the Database Connection tab.

  4. Test your database connection, by pressing the Test Connection button. If your connection test fails, correct the error and try again.

    NOTICE:     If this profile is for a database that does not have project information, STOP HERE and proceed to Using the Management Console. After you have generated project data, you may return to this page either to update the connection profile or create a new profile reflecting the project details.

  5. Select the Project Credentials tab, and enter the appropriate field information.

  6. Press OK to save your profile information.

You may then perform one of the following functions:

Add Profile

Change Profile

Remove Profile

Export Profile

Import Profile

Copyright ©1997-2004 Altaris Systems, Inc. All rights reserved.


Add Profile

Role | Users and Administrators
Requirements | You must have access to an existing True-Knowledge database and project (if necessary).
Quick Tip | You may import the contents of an exported profile using the Import button within the Profile Editor.

Follow these steps to manage True-Knowledge connection profiles with the Launch Pad utility:

  1. Start the Launch Pad utility.

  2. If you would like to create a new profile, choose Add New Profile from the Profile Tasks section. Otherwise, select one of the other applicable tasks. The remaining steps assume you have either selected Add New Profile or Change this Item.

  3. The Profile Editor is now displayed. Enter the appropriate fields on the Database Connection tab.

  4. Test your database connection, by pressing the Test Connection button. If your connection test fails, correct the error and try again.

    NOTICE:     If this profile is for a database that does not have project information, STOP HERE and proceed to Using the Management Console. After you have generated project data, you may return to this page either to update the connection profile or create a new profile reflecting the project details.

  5. Select the Project Credentials tab, and enter the appropriate field information.

  6. Press OK to save your profile information.


Change Profile

Role | Everyone
Requirements | You must have access to an existing True-Knowledge database and project (if necessary).
Quick Tip | You may import the contents of an exported profile using the Import button within the Profile Editor.

Follow these instructions to change an existing connection profile with the Launch Pad utility:

  1. Start the Launch Pad utility.

  2. To modify this profile, choose Change this Item from the Profile Tasks section.

  3. The Profile Editor is now displayed. Enter the appropriate fields on the Database Connection tab.

  4. Test your database connection, by pressing the Test Connection button. If your connection test fails, correct the error and try again.

    NOTICE:     If this profile is for a database that does not have project information, STOP HERE and proceed to Using the Management Console. After you have generated project data, you may return to this page either to update the connection profile or create a new profile reflecting the project details.

  5. Select the Project Credentials tab, and enter the appropriate field information.

  6. Press OK to save your profile information.


Remove Profile

Role | Users and Administrators
Requirements | You must have access to an existing True-Knowledge database and project (if necessary).
Quick Tip | It is a good idea to export a profile before removing it. This will allow you to restore the profile at a later time (if necessary).

Follow these instructions to remove an existing connection profile with the Launch Pad utility:

  1. Start the Launch Pad utility.

  2. Choose Remove this Item from the Profile Tasks section.

  3. If you are sure you want to remove the profile, press Yes at the confirmation prompt. Your profile will then be removed from your system.


Export Profile

Role | Users and Administrators
Requirements | You must have access to an existing True-Knowledge database and project (if necessary).
Quick Tip | True-Knowledge profile export files contain a ".ksc" file extension.

Follow these instructions to export an existing connection profile to an export file:

  1. Start the Launch Pad utility.

  2. To display the profile, choose Change this Item from the Profile Tasks section.

    The Profile Editor is now displayed.

  3. Press the Export button. You will see a file dialog. Choose the target file name and path and then press Save to save the file.

  4. Press Cancel to return to the Launch Pad.


Import Profile

Role | Users and Administrators
Requirements | You must have access to an existing True-Knowledge database and project (if necessary).
Quick Tip | True-Knowledge profile export files contain a ".ksc" file extension.

Follow these instructions to import an exported connection profile from disk:

  1. Start the Launch Pad utility.

  2. If you would like to create a new profile, choose Add New Profile from the Profile Tasks section. To change an existing profile, choose Change this Item.

  3. The Profile Editor is now displayed.

  4. Press the Import button. You will see a file dialog. Choose the source file name and path and then press Open to load the connection information.

  5. You may then further customize any of the existing fields. Then press OK to save your connection profile.


Add Folder

Role | Everyone
Tip | Most folder operations are available from a context popup-menu. Right-click on a folder to see the list of available operations.

To create a new folder:

  1. Start the Knowledge Explorer

  2. Choose menu Folder | New Folder

  3. From the Create New Folder dialog, select the target parent folder, type a name for your new folder and then press OK to save your changes.


Rename Folder

Role | Everyone
Note | Special folders (e.g. favorites, deleted items) cannot be changed.
Tip | Most folder operations are available from a context popup-menu. Right-click on a folder to see the list of available operations.

To rename an existing folder:

  1. Start the Knowledge Explorer

  2. Navigate to the desired folder and select the folder.

  3. Choose menu Folder | Rename Folder

  4. You will now be able to change the folder name. Press OK to save your changes.


Move Folder

Role | Everyone
Note | Special folders (e.g. favorites, deleted items) cannot be changed.
Tip | Most folder operations are available from a context popup-menu. Right-click on a folder to see the list of available operations.

To move an existing folder to a new location:

  1. Start the Knowledge Explorer

  2. Navigate to the desired folder and select the folder.

  3. Choose menuFolder | Move Folder

  4. From the Move Current Folder dialog, select the new folder location. Press OK to save your changes.


Remove Folder

Role

Everyone

Note

  1. Special folders (e.g. favorites, deleted items) cannot be changed.

  2. Removing a folder also removes any articles located in this folder.

Tip

Most folder operations are available from a context popup-menu. Right-click on a folder to see the list of available operations.

To remove an existing folder :

  1. Start the Knowledge Explorer

  2. Navigate to the desired folder and select the folder.

  3. Choose menu Folder | Delete Folder

  4. At the Confirm Folder Removal dialog, confirm your choice by pressing Yes. This folder and all articles within the folder will be removed from the database.


Restore Deleted Articles

Role | Everyone
Note | Articles that were deleted during a folder removal cannot be restored from the Deleted Items folder.
Tip | If you choose the menu Article | Locate you can view the folder to which the article belongs.

To restore a deleted article:

  1. Navigate to and select the appropriate Deleted Items folder.

  2. From the results list, select (do not open) the article.

  3. To restore the article to it's original folder, choose the menu Article | Restore. If you want to restore to a different folder, choose the menu Article | Move to Folder.

  4. From the Move Article to New Folder dialog, select the new folder location. Press OK to save your changes.


Add Article to Favorites Folder

Role | Everyone
Tip | If you choose the menu Article | Locate you can view the folder to which the article belongs.

To add an article to your Favorites list:

  1. Generate an article results list either by select a folder or running a search query/filter.

  2. From the results list, select (do not open) the article.

  3. Choose the menu Article | Add to Favorites List. The article will now also appear in the Favorites folder.


Remove Article from Favorites Folder

Role

Everyone

To remove an article from your Favorites list :

  1. Start the Knowledge Explorer

  2. Navigate to the Favorites folder and select the folder.

  3. Choose menu Article | Delete.


Locate Folder for Article

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To locate the folder for an existing article:

  1. Generate an article results list either by selecting a folder or executing a search query or filter.

  2. Select the article from the list, and choose the menu Article | Locate. Alternatively, you can right-click on the article and choose Locate from the context menu. The Explorer will automatically expand and highlight the article's folder.


Add New Article

Role | Everyone
See Also | Article Editor Overview Using Attachments Using Notes Inserting Existing Files into the Editor

To create a new article:

  1. Start the Knowledge Explorer

  2. Navigate to and select the folder where you would like the article to be stored.

  3. To create a new article, choose menu Article | New or CTRL+N and you will be prompted with the New Item dialog.

  4. Select one of the available article template types, enter the article body and press Save to return to the Knowledge Explorer. If you want to use the advanced editor to continue editing your article, ensure the Open editor after saving new article option is selected.

  5. [Advanced Editor] When prompted for article properties, you are required to provide a Title for the article. All other properties are optional. When you have updated the desired properties, press OK to edit the article contents.

  6. Once you have completed your article, choose toolbar option Save and Close. Alternatively, you can choose menu File | Save and then menu File | Back.


Change Article

Role | Everyone
See Also | Article Editor Overview Using Attachments Using Notes Inserting Existing Files into the Editor

To modify an existing article:

  1. Start the Knowledge Explorer

  2. Generate an article results list either by select a folder or running a search query or filter.

  3. From the results pane, select an article. You may open the article for editing by:(1) double-clicking the article, (2) choosing menu Article | Open, or (3) right-clicking and choosing Open from the context popup-menu.

  4. The article is now available for changes within the Article Editor.

  5. Once you have completed your article, choose toolbar option Save and Close. Alternatively, you can choose menu File | Save and then menu File | Back.


Remove Article

Role | Everyone
See Also | Restoring Deleted Articles Changing Articles

To remove an existing article:

  1. Start the Knowledge Explorer

  2. Generate an article results list either by select a folder or running a search query or filter.

  3. From the results pane, select an article. You may remove the article by:(1) choosing menu Article | Delete, or (2) right-clicking and choosing Delete from the context popup-menu.

  4. This article will now be moved to the Deleted Items folder. This folder will allow you to restore the article in the future.

Removing Deleted Articles from the Database

Initially, deleted articles are stored in the Deleted Items folder but not removed from the database. To remove the article from the database, follows these steps:

  1. Navigate to the Deleted Items folder and select the folder. You should see a list of "deleted" articles in the results pane.

  2. Select (i.e. single-click) the desired article.

  3. Choose menu Article | Delete. You will be prompted for confirmation.

  4. If you answer Yes at the confirmation prompt, the article will now be removed from the database.


Preview Article

Role | Everyone
See Also | Opening Articles Customize Preview Pane

To load an article preview from the Explorer workspace:

  1. Start the Knowledge Explorer

  2. Generate an article results list either by selecting a folder or running a search query or filter.

  3. From the results pane, select (i.e. single-click) an article. The article body and properties will be displayed in the preview pane.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Using Attachments

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor
Note | Full universal naming convention (UNC) paths should be used when adding attachments. A UNC path follows the format: \\<computer name>\<path>\<file> By using the UNC path to an attachment, other users will be able to access the attachment if the file is available.

To manage an article's attachments:

  1. Create or open an existing article.

  2. From the Article Editor toolbar, choose the Properties button. You will now see the properties dialog.

  3. Go to the Attachments tab. You may now Add, Remove or Open attachments as needed.

  4. When you are finished with the Attachments tab, you may select another tab or press OK to return to the article contents.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Using Notes

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor
Tip | Article notes are a good way to share and track article progress and comments with other users.

To manage an article's attachments:

  1. Create or open an existing article.

  2. From the Article Editor toolbar, choose the Properties button. You will now see the properties dialog.

  3. Go to the Notes tab. You may now Add, Edit or Remove notes as needed.

  4. When you are finished with the Notes tab, you may select another tab or press OK to return to the article contents.

Notes Property Reference

  • Title: A descriptive title for the note.

  • Note: The body or contents of the note.

  • Can be Published: Determines whether the note can be displayed in published form (e.g. reports).

  • Public: Determines whether the note is visible to anyone who opens the article or visible only to the author of the note.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Article History

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor
Tip | Article history can be used for tracking modifications to an article.

To view an article's modification history:

  1. Open an existing article.

  2. From the Article Editor toolbar, choose the Properties button. You will now see the properties dialog.

  3. Go to the History tab. You review the modification history.

  4. When you are finished with the History tab, you may select another tab or press OK to return to the article contents.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Locking Articles

Role | Everyone
Note | Accounts with the proper administrative privileges can still maintain locked articles.
Tip | Placing a lock on an article allows you to restrict access to the article until you release the lock.
See Also | Creating Articles Opening Articles Using the Article Editor

To lock or unlock an article:

  1. Create or open an existing article.

  2. From the Article Editor toolbar, choose the Properties button. You will now see the properties dialog.

  3. Go to the General tab.

  4. Select or de-select the property "Do not allow other users to update this article".

  5. When you are finished with the General tab, you may select another tab or press OK to return to the article contents.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Available Article Properties

Role | Everyone
See Also | Article Editor Overview Using Attachments Using Notes Inserting Existing Files into the Editor

The following pictures illustrate the available article properties and statistics.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Article Editor Overview

Role

Everyone

Overview

The backbone of the Knowledge Explorer is the powerful Article Editor. The Editor emulates much the functionality included in a number of standalone commercial editing products. It is your main tool for creating and modifying articles. This section is a quick reference to common editing tasks grouped by category:

Quick Tasks

  • Change Editor Page Layout

  • Customize Toolbar Display

  • Find Text

  • Replace Text

  • Heater and Footer Display

  • Change Page Zoom

Insert Functions

  • Page Break

  • Special Symbols

  • File

  • Date and Time

  • Hyperlinks

Formatting

  • Toolbar Functions

  • Font

  • Paragraph

  • Background Color

  • Change Case

Bullets and Numbering

  • Using Bullets and Numbering

Tables

  • Using Tables


Change Editor Page Layout

Role | Everyone
Tip | Change the editor page layout to see page separation and layout of your article body.
See Also | Creating Articles Opening Articles Using the Article Editor

To change the Article Editor page layout:

  1. Create or open an existing article.

  2. Choose the menu View and then choose either Normal or Page Layout.

Page Layout Styles

Normal | Article body is displayed in continuous format with no page separators.
Page Layout | Article body is displayed similarly to a print preview mode. However, full editing capability and header/footer maintenance is enabled. The editing window is centered.


Customize Toolbar Display

Role | Everyone
Tip | To maximize your editor screen size, you may turn off toolbar elements.
See Also | Creating Articles Opening Articles Using the Article Editor

To toggle the availability of the Article Editor toolbars:

  1. Create or open an existing article.

  2. Choose the menu View and then choose either Paragraph Bar, Status Bar or Ruler.

NOTE: These toolbars may be toggled on or off. So to reverse their state, repeat the above steps.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Find Text

Role | Everyone
Tip | To repeat your last "find" operation, (1) choose menu Edit | Find Next or (2) press the F3.key.
See Also | Creating Articles Opening Articles Using the Article Editor

To search for a text phrase within an article:

  1. Create or open an existing article.

  2. Invoke the Find Text dialog by (1) choosing menu Edit | Find or (2) press the Find button (binoculars).

NOTE: To repeat your last "find" operation, (1) choose menu Edit | Find Next or (2) press the F3.key.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Replace Text

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To replace a text phrase within an article:

  1. Create or open an existing article.

  2. Invoke the Replace Text dialog by choosing menu Edit | Replace.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Header and Footer Display

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To change an article's header or footer:

  1. Create or open an existing article.

  2. Choose menu View | Header and Footer. You will be placed into the header section for editing. Your main body text will be grayed out.

  3. To switch to the footer, choose the Switch toolbar button.

  4. To close the header/footer view, either click on the article body text or press the Close toolbar button.

NOTE: The header and footer information is not visible in Normal page layout mode.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Change Page Zoom

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To display the magnification of the article body while using the Article Editor:

  1. Create or open an existing article.

  2. Select from the zoom toolbar drop-down box.

NOTE: The zoom has no effect on an article during printing.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Insert Page Break

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To insert a page break into an article:

  1. Create or open an existing article.

  2. Place the cursor at the position where you would like to insert a page break.

  3. Choose menu Insert | Page Break.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Insert Special Symbol

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To insert a special symbol:

  1. Create or open an existing article.

  2. Place the cursor at the position where you would like to insert the symbol.

  3. Choose menu Insert | Symbol

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Insert File

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To insert a file into an article body:

  1. Create or open an existing article.

  2. Place the cursor at the position where you would like to insert the file.

  3. Choose menu Insert | File

  4. Choose a file from one of the supported file types.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Insert Date and Time

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To insert the current date and time into an article:

  1. Create or open an existing article.

  2. Place the cursor at the position where you would like to insert the date and/or time.

  3. Choose menu Insert | Date and Time.

  4. Choose a date and/or time from the Insert Date and Time dialog. Then press OK to insert your selection.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Insert Hyperlink

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To insert a hyperlink:

  1. Create or open an existing article.

  2. Either select your hyperlink text or place the cursor at the position where you would like to insert the hyperlink.

  3. Choose menu Insert | Hyperlink

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Format Toolbar Functions

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

The formatting toolbar allows you to perform the following operations:

  • Format Font

  • Format Paragraph

  • Format Text Background Color

  • Change Text Case

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Format Font

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To format the font of the current text selection:

  1. Create or open an existing article.

  2. Select the target text or place the cursor at the position where you would like to change the font.

  3. Choose menu Format | Font

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Format Paragraph

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To format the paragraph of the current text selection:

  1. Create or open an existing article.

  2. Select the target text or place the cursor at the position where you would like to change the paragraph.

  3. Choose menu Format | Paragraph

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Format Background Color

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To format the background color of the current text selection:

  1. Create or open an existing article.

  2. Select the target text or place the cursor at the position where you would like to change the background color.

  3. Choose menu Format | Background Color

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Change Case Dialog

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To format the case of the current text selection:

  1. Create or open an existing article.

  2. Select the target text .

  3. Choose menu Format | Change Case

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Using Bullets and Numbering

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To create a bulleted or numbered list:

  1. Create or open an existing article.

  2. Select the text that you would like to become a bulleted or numbered list.

  3. Choose menu Format | Bullets and Numbering and then select the desired bullet or number style.

Changing the Bullet or Number Style Attributes

  1. Choose menu Format | Bullets and Numbering | Attributes.

  2. Change the settings as desired.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Using Tables

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor

To insert a table into an article:

  1. Create or open an existing article.

  2. Select the position where you would like to insert the table.

  3. Choose menu Table | Insert | Table

  4. Choose the desired number of rows and columns and press OK to insert the table.

  5. You may further customize the table from the Table menu.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Find Articles

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor Save Search Criteria Load Search Criteria

To search for articles that meet specific search criteria:

  1. Start the Knowledge Explorer.

  2. Click the menu Tools | Advanced Find to display the Find Articles dialog.

  3. After you have configured your search criteria, press the Find Now button to display the matching articles in the results pane.

The Find Articles Dialog

Copyright ©1997-2004 Altaris Systems, Inc. All rights reserved.


Save Search Query

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor Load Search Criteria Filter Manager
Tip | Saved search files have a ".kss" file extension.

To search for articles that meet specific search criteria:

  1. Start the Knowledge Explorer.

  2. Click the menu Tools | Advanced Find to display the Find Articles dialog.

  3. After you have configured your search criteria, choose either the File | Save To File or File | Save To Database menu.

    NOTE:     If you save the search to the database, it will be available to all project users and appear in the Search Filters folder. Additionally, filters saved in the database may be managed using the Filter Manager.


Open Search Query

Role | Everyone
See Also | Creating Articles Opening Articles Using the Article Editor Save Search Criteria Filter Manager
Tip | Saved search files have a ".kss" file extension.

To search for articles that meet specific search criteria:

  1. Start the Knowledge Explorer.

  2. Click the menu Tools | Advanced Find to display the Find Articles dialog.

    NOTE:     Search criteria stored in the database are also known as filters and appear in the Filters drop-down box. You can select a filter from this list and it will populate the field values accordingly.

  3. Choose menu File | Open Search. Select the path and name of the saved search. True-Knowledge will read the file and populate the dialog field values accordingly.


Set Results Pane Columns

Altaris Systems

True-Knowledge Documentation

Customize Results Pane Columns

Role | Everyone
See Also | Customize the Results Grid

To configure the visible results list columns:

  1. Start the Knowledge Explorer.

  2. Choose menu View | Show Fields..

Add a column

  1. In the Available Fields box, choose the column you want to add.

  2. Click Add.

Remove a column

  1. In the Show these fields in this order box, select the field you want to remove.

  2. Click Remove

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Customize Results Grid

Role | Everyone
See Also | Customize Results Pane Columns

To customize the article results grid:

  1. Start the Knowledge Explorer.

  2. Choose the menu Tools | Options.

  3. Select the folder Knowledge Explore | Grid Settings

  4. You may change the row colors and grid line display.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Use Default Views

Role | Everyone
See Also | Finding Articles Filter Manager Group Article List Results

To automatically group and sort the results list using a pre-defined view::

  1. Start the Knowledge Explorer.

  2. Select a folder or execute a search to generate a results list.

  3. Choose menu View | Current View | <option>; where <option> is one of the available views.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Customize Preview Pane

Role | Everyone
See Also | Customize Results Pane Columns

To customize the preview pane display:

  1. Start the Knowledge Explorer.

  2. Choose the menu Tools | Options.

  3. Select the desired menu option under Preview Pane.

  4. You may configure the available settings

To change the preview pane page layout:

  1. Choose the menu View | Reading Pane | <option>, where <option> is one of the styles listed in the next section.

Page Layout Styles

Normal | Article body is displayed in continuous format with no page separators.
Print Layout | Article body is displayed similarly to a print preview mode. The editing window is centered.


Showing and Hiding Window Panes

Role | Everyone
See Also | Customize Results Pane Columns Customize Preview Pane Customize Results Grid

To show or hide panes to manage your available Knowledge Explorer workspace:

  1. Start the Knowledge Explorer.

  2. Choose the menu View | <option>. Where <option> is one of the following settings:.

Navigation Pane | Toggles the display of the folder navigation pane.
Reading Pane | Toggles the orientation and visibility of the reading pane.


Group Results

Altaris Systems

True-Knowledge Documentation

Group Article List Results

Role | Everyone
See Also | Finding Articles Filter Manager Use Default Views

To automatically group and sort the results list using a pre-defined view::

  1. Start the Knowledge Explorer.

  2. Select a folder or execute a search to generate a results list.

  3. Choose menu View | Group By Box to display the Group By Box as part of the results pane..

  4. Drag and drop one or more results list column headers to the Group By Box to automatically group and sort the results list by the selected columns.

  5. To remove a field from the Group By Box, drag and drop the anywhere outside of the Group By Box.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Use the Filter Manager

Role | Everyone
See Also | Find Articles Save Search Criteria Load Search Criteria Export Filter Import Filter
Tip | Existing filters can be selected and executed from the Find Articles dialog.

To search for articles that meet specific search criteria:

  1. Start the Knowledge Explorer.

  2. Choose menu Tools | Filter Manager.

  3. To add a new filter or modify an existing one, choose the respective button to launch the Filter Editor dialog.

  4. From the Filter Editor, update your desired fields and then press OK to save your changes to the database.

The Filter Manager Dialog

The Filter Editor Dialog

Copyright ©1997-2004 Altaris Systems, Inc. All rights reserved.


Export Filter

Role | Everyone
See Also | Find Articles Save Search Criteria Load Search Criteria Using the Filter Manager Import Filter
Tip | Saved search files have a ".kss" file extension.

To search for articles that meet specific search criteria:

  1. Start the Knowledge Explorer.

  2. Choose menu Tools | Filter Manager.

  3. To add a new filter or modify an existing one, choose the respective button to launch the Filter Editor dialog.

  4. From the Filter Editor, press the Export button. You will be prompted for an output location.

  5. Select the desired output file and press Save to export the filter. The filter is exported as a saved search file and may be reloaded either via the Filter Manager or the Find Articles dialogs.


Import Filter

Role | Everyone
See Also | Find Articles Save Search Criteria Load Search Criteria Using the Filter Manager Ex port Filter
Tip | Saved search files have a ".kss" file extension.

To search for articles that meet specific search criteria:

  1. Start the Knowledge Explorer.

  2. Choose menu Tools | Filter Manager. Alternatively, you may select the Filter Manager item from the task bar.

  3. To add a new filter or modify an existing one, choose the respective button to launch the Filter Editor dialog.

  4. From the Filter Editor, press the Import button. You will be prompted for an input location.

  5. Select the source saved search file Open to import the filter. True-Knowledge will read the file and populate the dialog field values accordingly.

  6. Modify the filter name as desired and press OK to save your changes to the database.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Print Article

Role | Everyone
See Also | Using the Knowledge Explorer Article Editor Overview Printing an Article List

To print an article:

  1. Start the Knowledge Explorer

  2. Generate an article results list either by select a folder or running a search query or filter.

  3. From the results pane, select an article.

  4. Choose menu Article | Print to display the Print dialog.

  5. Choose the Memo style, select and configure your desired printer and press Print to print the article.

    NOTE:     Articles may also be printed from within the Article Editor.


Print Preview Article

Role | Everyone
See Also | Using the Knowledge Explorer Article Editor Overview Printing an Article List

To print an article:

  1. Start the Knowledge Explorer

  2. Generate an article results list either by select a folder or running a search query or filter.

  3. From the results pane, select an article.

  4. Choose menu File | Print Preview to display the Print Preview dialog.

    NOTE:     Articles may also be printed from within the Article Editor.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Print Article List

Role | Everyone
See Also | Using the Knowledge Explorer Article Editor Overview Printing an Article

To print an article:

  1. Start the Knowledge Explorer

  2. Generate an article results list either by select a folder or running a search query or filter.

  3. From the results pane, select an article.

  4. Choose menu Article | Print to display the Print dialog.

  5. Choose the Table style, select and configure your desired printer and press Print to print the article list.


Send MAPI Mail

Altaris Systems

True-Knowledge Documentation

Send Standard Mail (MAPI)

Role | Everyone
Tip | Example Messaging API (MAPI) clients include MS Exchange and MS Outlook.
See Also | Using the Knowledge Explorer Article Editor Overview Printing an Article List

To set your default mail system to standard mail (MAPI):

  1. Start the Knowledge Explorer

  2. Choose menu Tools | Options to display the Options dialog.

  3. Expand the Mail folder and then click the Mail System category.

  4. Select the option Use MAPI Messaging.

  5. Press OK to save your changes.

To send an article as an electronic mail attachment using the Microsoft Messaging API (MAPI):

  1. Start the Knowledge Explorer

  2. Generate an article results list either by select a folder or running a search query or filter.

  3. From the results pane, select an article.

  4. Choose menu File | Send to display the Send Mail dialog.

  5. Enter your addressing information, a message body and attachment style. Then press Send to send the mail message.


Send SMTP Mail

Altaris Systems

True-Knowledge Documentation

Send Internet Mail (SMTP)

Role

Everyone

Tips

  • Internet mail (SMTP) only requires an active Internet connection and valid mail system logon information.

  • Press the To or CC button to pick from a list of valid email addresses stored in the current database.

  • Internet mail addresses can be maintained for each user within the Management Console.

See Also

Using the Knowledge Explorer

Article Editor Overview

Printing an Article List

To set your default mail system to Internet mail (SMTP):

  1. Start the Knowledge Explorer

  2. Choose menu Tools | Options to display the Options dialog.

  3. Expand the Mail folder and then click the Mail System category.

  4. Select the option Use Internet Mail (SMTP).

  5. Fill in all of the Internet Mail settings.

  6. Press OK to save your changes.

To send an article as an electronic mail attachment:

  1. Start the Knowledge Explorer

  2. Generate an article results list either by select a folder or running a search query or filter.

  3. From the results pane, select an article.

  4. Choose menu File | Send to display the Send Mail dialog.

  5. Enter your addressing information, a message body and attachment style. Then press Send to send the mail message.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Review Last Authorization Failure

Role | Everyone
See Also | Using the Knowledge Explorer Using the Management Console Change Security Roles

If you are restricted from attempting a Knowledge Explorer operation, you can contact your system administrator and provide her with some security details to help determine which privilege you are missing.

To view your last failed authorization:

  1. Start the Knowledge Explorer

  2. Choose menu System | Security | Display Check Values. A dialog box will appear with details regarding your last authorization check status.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Review System Status

Role | Everyone
See Also | Using the Knowledge Explorer

To view your current logon and connection information:

  1. Start the Knowledge Explorer

  2. Choose menu System | Status. You will see a dialog box with the following information.

    • Connection Profile

    • Logon Account

    • Account Name

    • Logon Date and Time

    • Computer

    • Project Name

    • Project ID

    • Project Owner

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Import and Export Articles

Role | Everyone
See Also | Using the Knowledge Explorer Article Editor Overview Add Article Change Article
Tip | The Import and Export Wizard can be accessed from both the Knowledge Explorer workspace and the Article Editor.

Export Article | Import Article

To export an article using the Import and Export Wizard:

  1. Start the Knowledge Explorer

  2. Generate an article results list either by select a folder or running a search query or filter.

  3. From the results pane, select the article.

  4. Choose menu Article | Export to display the Import and Export Wizard dialog.

  5. Pick the desired export file type and press Next.

  6. Select the target export file path and press Finish. The article body will be exported in the selected format.

To import a file into an article body using the Import and Export Wizard:

  1. Start the Knowledge Explorer

  2. Either create a new article or generate an article results list either by select a folder or running a search query or filter.

  3. From the results pane, open the article.

  4. Choose menu File | Import and Export to display the Import and Export Wizard dialog.

  5. Pick the desired import file type and press Next.

  6. Select the source import file path and press Finish. The article body will be replaced with the contents of the source file.


Add User

Role | Administrator
Requirements | Administrative account or account with project management privileges

To create a new True-Knowledge user account:

  1. Start the Management Console

  2. Select the Users folder and choose the Add new item task from the Task Area section.

  3. Fill in the user information and press OK to save the new user. You should now see the new user account in the list of available users.

SPECIAL NOTES

  • Active User: If this property is not selected, this user will NOT be able to logon to either the Management Console or the Knowledge Explorer.

  • System Administrator: This property is the equivalent of a SUPERUSER account. Use this property sparingly to reduce security risk to your data. Almost all Console and Explorer functions can be secured through role privileges. So you can still create administrators without giving them this property.


Change User

Role | Administrator
Requirements | Administrative account or account with project management privileges
See Also | Create Roles Maintain Project Team

To change an existing True-Knowledge user account:

  1. Start the Management Console

  2. Navigate to the Users folder

  3. Select the Users folder and the list of available accounts will be listed in the results pane. You may double-click on an account to open the property page. Alternatively, choose the Open this item task from the Common Tasks section.

  4. Modify the user information as desired and press OK to save your changes.

SPECIAL NOTES

  • Active User: If this property is not selected, this user will NOT be able to logon to either the Management Console or the Knowledge Explorer.

  • System Administrator: This property is the equivalent of a superuser account. Use this property sparingly to reduce security risk to your data. Almost all Console and Explorer functions can be secured through role privileges. So you can still create administrators without giving them this property.

  • Projects Tab: You can manage the projects a user belongs to by visiting the Maintaining Your Project Team topic.


Remove User

Role | Administrator
Requirements | Administrative account or account with project management privileges

To remove an existing True-Knowledge user account:

  1. Start the Management Console

  2. Navigate to the Users folder

  3. Select the Users folder and the list of available accounts will be listed in the results pane. Select and account and then choose the Delete this item task from the Common Tasks section.

  4. Confirm your action when prompted, by pressing OK. This user account will then be removed from the database.


Change User Password

Role | Administrator
Requirements | Administrative account or account with project management privileges
See Also | Change User Maintain Project Team

To change an existing True-Knowledge user account password:

  1. Start the Management Console

  2. Navigate to the Users folder

  3. Select the Users folder and the list of available accounts will be listed in the results pane. Select and account and then choose the Set password task from the Common Tasks section.

  4. Enter the new password twice and press OK to save the information.


Add New Project

Altaris Systems

True-Knowledge Documentation

Add Project

Role | Administrator
Requirements | Administrative account or account with project management privileges
See Also | Create security roles Assign project team Manage lookup data
Special Tip | We recommend that administrators use the New Project Wizard to create a new project environment quickly.

To create a new True-Knowledge project:

  1. Start the Management Console

  2. Select the Projects folder and choose the Add new item task from the Task Area section.

  3. Fill in the project information and press OK to save the new project. You should now see your project in the list of available projects.


Change Project

Role | Administrator
Requirements | Administrative account or account with project management privileges
See Also | Create security roles Assign project team Manage lookup data

To create a new True-Knowledge project:

  1. Start the Management Console

  2. Navigate to the Projects folder

  3. Select the Projects folder and the list of available projects will be listed in the results pane. You may double-click on a project to open the property page. Alternatively, choose the Open this item task from the Task Area section.

  4. Fill in the project information and press OK to save your changes.


Remove Project

Role | Administrator
Requirements | Administrative account or account with project management privileges

To create a new True-Knowledge project:

  1. Start the Management Console

  2. Navigate to the Projects folder

  3. Select the Projects folder and the list of available projects will be listed in the results pane. Choose the Remove this item task from the Task Area section.

  4. Confirm your action by pressing Yes at the confirmation prompt. Your project and all related data will be removed from the database.

WARNING: Removing a project removes all project-specific data (e.g. articles, project team, etc) from the database. Be very careful when using the option. It is recommended that you backup your data before attempting this operation.


Change Role

Role | Administrator
Requirements | Administrative account or account with role management privileges

To create a new True-Knowledge user account:

  1. Start the Management Console

  2. Navigate to the Roles folder

  3. Select the Roles folder and the list of available roles will be listed in the results pane. You may double-click on a role to open the property page. Alternatively, choose the Open this item task from the Task Area section.

  4. Fill in the role information and designate privileges. Then press OK to save your role. You should now see this role in the list of available roles.


Remove Role

Role | Administrator
Requirements | Administrative account or account with role management privileges

To create a new True-Knowledge role:

  1. Start the Management Console

  2. Navigate to the Roles folder

  3. Select the Roles folder and the list of available roles will be listed in the results pane. Choose the Remove this item task from the Task Area section.

  4. Confirm your action by pressing Yes at the confirmation prompt. If this role is not in used by any projects, it will be removed from the database.


Lookup Tables Overview

Role | Administrator
Requirements | Administrative account or account with project management privileges
See Also | Add Lookup Value Change Lookup Value Remove Lookup Value

Lookup tables contain the data that appear in the various drop-down lists within the Article Editor. These lookup values include the following article property types:

  • Categories

  • Components

  • Document Types

  • Impact

  • Locator Codes

  • Platforms

  • Project Phases

  • Status

  • Target Releases

  • Versions


Add Lookup Value

Role | Administrator
Requirements | Administrative account or account with project management privileges

To create a new lookup table value:

  1. Start the Management Console

  2. Navigate to the Lookup Tables folder.

  3. Select the designated child folder (e.g. Category) and the list of available values will be listed in the results pane. Choose the Add new item task from the Task Area section.

  4. Fill in the appropriate information. Then press OK to save your entry. You should now see this value in the list of available values for your lookup table.


Change Lookup Value

Role | Administrator
Requirements | Administrative account or account with project management privileges

To create a new lookup table value:

  1. Start the Management Console

  2. Navigate to the Lookup Tables folder

  3. Select the desired child folder (e.g. category, impact) folder and the list of available values will be listed in the results pane. You may double-click on a value to open the property page. Alternatively, choose the Open this item task from the Task Area section.

  4. Fill in the appropriate information. Then press OK to save your entry. Your changes will be saved to the database.


Remove Lookup Value

Role | Administrator
Requirements | Administrative account or account with role management privileges

To remove a lookup value:

  1. Start the Management Console

  2. Navigate to the Lookup Tables folder

  3. Select the desired child folder (e.g. category, impact) folder and the list of available values will be listed in the results pane. Choose the Remove this item task from the Task Area section.

  4. Confirm your action by pressing Yes at the confirmation prompt. If this value is not in use by any articles, it will be removed from the database.


Who's Logged On?

Role | Administrator
Purpose | This option allows an administrator to see the list of users logged into the True-Knowledge database.

To review a list of the users who have logged onto an existing True-Knowledge database:

  1. Start the Management Console

  2. Navigate to the Connections folder

  3. Select the Logged On folder. A list of users that have logged in via the Management Console or Knowledge Explorer will be listed in the results pane.


View System Log

Role | Administrator
Purpose | Allows an administrator to see any system generated log messages.

To view the system log events for an existing True-Knowledge database:

  1. Start the Management Console

  2. Select the Application Log folder. A list of logged events will be displayed in the results pane.

  3. To display an event, you may double-click the event. Alternatively, choose the Display this item task from the Task Area section. You will then see more details for the logged event.


Remove System Log Entry

Altaris Systems

True-Knowledge Documentation

Remove Application Log Entry

To remove an entry from the True-Knowledge Application Log:

  1. Start the Management Console

  2. Navigate to the Application Log folder

  3. Select the Application Log folder and the list of application log entries will be listed in the results pane. Choose the Remove this item task from the Task Area section.

  4. Confirm your action by pressing Yes at the confirmation prompt. The selected entry will be removed from the database.


Using the Compact and Repair Wizard

Role | Administrator
Requirements | An existing True-Knowledge Access-compatible database.
Notice | If you're Access-compatible database cannot be repaired, you should use a valid copy of Microsoft Access 2000 or higher to repair the database. If the database is still corrupted, contact your administrator or Microsoft for additional assistance.
Warning | This wizard is will not work on non-Access databases (e.g. SQL Server).

Overview

For Access-compatible databases, over a period of extensive updates and usage, the size of the database grows with temporary space. These databases can be compacted to reduce the wasted space, if possible. The Compact and Repair Wizard is provided to accomplish this compacting and repairing process. The tasks performed by the wizard are virtually identical to those performed by the Microsoft Access compact and repair operations.

Compacting Your Database

To compact and repair your True-Knowledge Access database:

  1. From the True-Knowledge program group, execute the Compact and Repair Wizard or execute <installation path>\kcompact.exe. You will see the Compact and Repair dialog.
  2. After reviewing the introductory screen, press Next to continue.

  3. On the next page, choose source and target database paths and then press Next to continue.

  4. To begin the compact and repair process, press Finish. The wizard will process the source database and produce an output log upon completion.

  5. Press Close to exit the wizard.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Using the Data Transport Wizard

RESERVED for future topic.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Export Data to Delimited Text File

RESERVED for future topic.


Export Data to XML File

RESERVED for future topic.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Export Data to Package File

RESERVED for future topic.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Import Data from Package File

RESERVED for future topic.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Using the Publisher for HTML Help

Role

Administrator, Publisher, Project Manager

Requirements

  1. Free Microsoft HTML Help compiler.

  2. A connection to a valid True-Knowledge database.

  3. An administrator or account with appropriate publishing privilege.

See Also

For more information on Microsoft HTML Help and obtaining the compiler, see http://msdn.microsoft.com/library/default.asp?url=/library/en-us/htmlhelp/html/vsconhh1start.asp

Overview

The Publisher for HTML Help (khelpwiz.exe) allows you to compress and compile your database into a Microsoft HTML Help-format file. This read-only file can then be distributed or hosted on a website. This is convenient for sharing with users who do have a copy of the True-Knowledge product.

Publishing Your Database

To publish your database to MS HTML Help format:

  1. From the True-Knowledge program group, execute the Publisher for HTML Help or execute <installation path>\khelpwiz.exe. You will see the Publisher dialog.
  2. After reviewing the introductory screen, press Next to continue.

  3. On the next page, choose an existing database connection and then press Next to continue.

  4. Now specify valid project and account login credentials and press Next to continue.

    NOTE:     The account must be an administrator or have the necessary publishing privilege.

  5. Specify the name and location of your new HTML Help project. Press Next to continue.

  6. Specify the path to the HTML Help compiler. If you do have the compiler installed, you must obtain it from the Microsoft website. Additional compiler options are listed below:

    Save HTML Files ...     - Allows you to keep the entire project for import into another HTML Help application.
    Do Not Compile Empty Folders     - Removes empty folders from the output file.

    When you are ready to proceed, press Next to continue.

  7. To begin the publishing process, press Finish. The wizard will process the project and produce an output log upon completion.

  8. Press Close to exit the wizard.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Understanding Replication

Role

Administrator

Requirements

An existing True-Knowledge Jet (Access-compatible) database.

Notices

  • The True-Knowledge replication tools are primarily intended for backward compatibility. We strongly suggest that you use the replication tools provided with Microsoft Access or SQL Server for your respective database.

  • You should always backup your database before performing replication. The replication process makes irreversible changes to your database that cannot be removed.

Warning

These wizards will not work on non-Jet databases (e.g. SQL Server).

Key Terms

  • Design Master: The only member of the replica set in which you can make changes to the database structure that can be propagated to other replicas.

  • Replica: A copy of a database that is a member of a replica set and can be synchronized with other replicas in the set. Changes to the data in a replicated table in one replica are sent and applied to the other replicas.

  • Replica Set: The Design Master and all replicas that share the same database design and unique replica set identifier.

Database replication involves the creation of one or more copies of an existing database. Changes within these databases are tracked and may be exchanged through a process known as synchronization. Replication can aid in performance (e.g. over wide are networks), allows backups to a master database and facilitates portability (e.g. work at home and synchronize with the office).

True-Knowledge Replication Functionality

True-Knowledge provides basic support for Jet database replication and synchronization. Since you are encouraged to utilize the replication tools provided by your database vendor, these wizards do not support advanced functionality such as Internet synchronization and conflict resolution.

Replication Tools

Use the Jet Replication Wizard to create a replica set.

Use the Jet Synchronization Wizard to synchronize changes within a replica set.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Using the Jet Replication Wizard

Role

Administrator

Requirements

An existing True-Knowledge Jet (Access-compatible) database.

Notices

  • The True-Knowledge replication tools are primarily intended for backward compatibility. We strongly suggest that you use the replication tools provided with Microsoft Access or SQL Server for your respective database.

  • You should always backup your database before performing replication. The replication process makes irreversible changes to your database that cannot be removed.

Warning

These wizards will not work on non-Jet databases (e.g. SQL Server).

See Also

Understanding Replication

Using the Jet Synchronization Wizard

Replicating Your Database

To replicate your True-Knowledge Jet database:

  1. From the True-Knowledge program group, execute the Jet Replication Wizard or execute "<installation path>\kreplica.exe /ACTION=REPLICATE". You will see the Jet Database Replication dialog.
  2. After reviewing the introductory screen, press Next to continue.

  3. On the next page, specify the Design Master (Source) and Replica (Target) databases and then press Next to continue.

  4. To begin the replication process, press the Replicate button. The wizard will convert the source database to a design master (if necessary) and generate the replica. During processing a task list will be displayed and the results of the operation will be logged.

  5. Press Close to exit the wizard.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Using the Jet Synchronization Wizard

Role

Administrator

Requirements

A replicated True-Knowledge database (Design Master).

A database replica (previously replicated from Design Master).

Notices

  • The True-Knowledge replication tools are primarily intended for backward compatibility. We strongly suggest that you use the replication tools provided with Microsoft Access or SQL Server for your respective database.

  • You should always backup your databases before synchronizing.

Warning

These wizards will not work on non-Jet databases (e.g. SQL Server).

See Also

Understanding Replication

Using the Jet Replication Wizard

Synchronizing Data

To synchronize changes between two True-Knowledge Jet databases:

  1. From the True-Knowledge program group, execute the Jet Synchronization Wizard or execute "<installation path>\kreplica.exe /ACTION=SYNCH". You will see the Jet Database Synchronization dialog.
  2. After reviewing the introductory screen, press Next to continue.

  3. On the next page, specify the Design Master (Source) and Replica (Target) databases and then press Next to continue.

  4. On the next page you may modify processing options such as the direction of data exchange and backup generation. After you have changed the desired settings, if any, press Next to continue.

  5. To begin the synchronization process, press the Synch button. The wizard will synchronize the changes between databases based upon the Data Exchange setting. During processing, a task list will be displayed and the results of the operation will be logged.

  6. Press Close to exit the wizard.


Getting Product Support

Altaris Systems offers many resources to help you use our products. You can search the online help, the reference manual (if applicable) or you can use one of the support resources available to you as an Altaris customer:

  • Technical Support

  • Visit our Resource Center

  • Ask our Support Team

  • Before You Contact Support

Technical Support

To help you get the most out of our products, we offer a number of support resources. Just visit our support page at http://www.altaris.com/support.asp. Our support page contains a variety of resources such as our support policies, Bug Tracker, and searchable Resource Center message board.

Visit our Resource Center

Our resource center is a message board containing multiple forums. These forums are homes for Altaris announcements, product discussion, product assistance, bug reports, and a place for submitting new feature requests and enhancements.

Ask our Support Team

Altaris Systems offers a technical support system to meet your support needs:

  • Bug Tracker: This list contains all known bugs and issues with our product. Refer to this link to see if someone has already reported a similar problem.

  • Resource Center: Our resource center is intended to be the first support option for our customers. The resource center will allow both Altaris support and other customers to resolve issues in a public forum.

  • Mail Support: If you have a problem that needs personal or priority attention, send us an e-mail at support@altaris.com. We strive to answer all support requests within 1-2 business days depending upon incident load.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Before You Contact Support

  1. Make sure you have consulted one of our technical support resources to see if this problem or issue has been reported by someone else.

  2. When you contact technical support via e-mail, you should be prepared to provide the following information:

    • Serial number and product version, which you can find by selecting menu About from the Knowledge Explorer or Management Console Help menu

    • A diagnostics report (see below)

    • Operating system version and service pack version if applicable

    • A description of what you do before the problem occurs

    • The exact wording of any error messages you see

    • Your name, company name, and how to contact you

    • Payment information, if applicable

Submitting an Incident Report

If you are experiencing technical difficulties with one of our products and wish to submit and incident report, please perform the following steps:

  • Open the application.

  • Select the Help | About menu item

  • Go to the Diagnostic Reports tab and then press the Generate Diagnostic Report button.

  • E-mail our technical support team along with your name, the diagnostic report and a description of the problem. A support representative will contact you for problem follow-up.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Auto Update

Altaris Systems

True-Knowledge Documentation

Auto Update for Patches and Fixes

We have an built-in update wizard for you to connect to our Web site and check for the latest software updates.

You can start the Update WIzard from either the True-Knowledge program group or the Launch Pad application. We recommend that you periodically run this wizard to ensure that you have the latest version of the software.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Web and E-mail Addresses

The Altaris web site, http://www.altaris.com*, is the primary resource for users of Altaris Systems software. It contains information about Altaris Systems, product documentation and support files.

Please send e-mail to one of the following addresses if you have a question that isn't addressed on the Altaris Systems web site or if you need to contact Altaris Systems for any other reason:

Email Address | Use For
info@altaris.com | General Questions
sales@altaris.com | Sales and Licensing Related Questions
support@altaris.com | Technical Support and Questions
beta@altaris.com | Beta Program Participation and Issues

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Database and Project Management Tips

The default administrator account is named Admin and requires no password.

To keep your database secure, it is recommended that you initially log on with this account solely to create other administrators and then change the password and keep it in a safe place.

Use the Management Console to manage users and change passwords.

See topic Change User Password

Use the Management Console to manage users.

See topic Add User.

Use the New Project Wizard for a quick, step-by-step approach to creating a new project.

See topic Using the New Project Wizard.

The model databases can be found in the True-Knowledge installation folder:

<installation path>\Models\<sub-folder>

  • The sub-folder Access contains a model Microsoft Access 2000-compatible database.

  • The sub-folder SQL contains both model data and log files compatible with Microsoft SQL Server 7.0 (or higher).

To learn how to use a model database to create a new database, see the following topics:

Install Microsoft Access Database

Prepare New Microsoft SQL Server Database

Both the New Project Wizard and the Migration Wizard support customization of the default lookup table values.

Use a text editor to tailor the file <installation path>\LOOKUP.INI.

Note: Ensure that you only modify the line items with a particular lookup table section and follow the numerical sequence of the lines (e.g. "ITEM8=How To").

See the Migration Wizard topic.

Lookup tables can be modified by using the System | Configure menu from either the Knowledge Explorer or Management Console.

See topic Who's Logged On?

See topic Using the Compact and Repair Wizard.

Use the Data Transport Wizard utility.

See one of the following topics:

Understanding Replication

Using the Jet Replication Wizard

Using the Jet Synchronization Wizard

See topic View System Log.

Altaris Systems

True-Knowledge Documentation

Database and Project Management Tips

Click one of the topics below to learn more:

  • Log on with the default administrator account

  • Change user passwords

  • Define users and administrators

  • Quickly add new projects to your database

  • Locate the model database files

  • Customize the default lookup table entries

  • Migrate KB-Master databases to True-Knowledge

  • Customize lookup table contents for an existing database

  • See who is logged into the current database

  • Compact and repair a Microsoft Access database

  • Transport projects between databases

  • Replicate and synchronize databases

  • View the True-Knowledge system log

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


General Tips

See topic Auto Update.

You may generate a diagnostics report from one of the following utilities:

  1. From the Launch Pad choose the System Information utility;

    or

    From the Knowledge Exlorer or Management Console, choose menu Help | About;

  2. Go to the Diagnostic Reports tab

  3. Press the button Generate Diagnostic Report

  4. When prompted, choose a file name and location and press Save.

Altaris Systems

True-Knowledge Documentation

General Tips

Click one of the topics below to learn more:

  • Check the Altaris Web site for product updates

  • Generate a diagnostic report

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


HTML Help Wizard Tips

Although there is not a direct Web publishing function available, you can use the Publisher for HTML Help utility to publish your project as an HTML Help file and save the HTML files during processing.

On the Configuration Options panel select the option Save HTML Files After Help is Compiled.

You can then use the HTML files for your own Web site publishing.

You may generate a diagnostics report from one of the following utilities:

  1. From the Launch Pad choose the System Information utility;

    or

    From the Knowledge Exlorer or Management Console, choose menu Help | About.

  2. Go to the Diagnostic Reports tab

  3. Press the button Generate Diagnostic Report

  4. When prompted, choose a file name and location and press Save.

Altaris Systems

True-Knowledge Documentation

HTML Help Wizard Tips

Click one of the topics below to learn more:

  • Publish your project for Web site use

  • Generate a diagnostic report

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Knowledge Explorer Tips

If a connection profile contains sufficient connection and project logon credentials, then from the Launch Pad, you have the option of automatic logging into a project using the Knowledge Explorer.

Requirements

  1. A connection profile must contain a valid database connection, project, account and password.

  2. The option System | Auto Logon must be selected.

See topic Locate Folder for Selected Article.

  1. Go to the Deleted Items folder.

  2. Select the article.

  3. Right-click on the article and choose Restore from the pop-up menu.

  1. From the results list, select an article.

  2. Right-click on the article and choose Add to Favorites from the pop-up menu.

See the topic Customize Preview Pane.

See the following topics:

Customize Results Pane Columns

Customize Results Grid

Use Default Views

See the following topics:

Save Search Criteria

Load Search Criteria

See the topic Use the Filter Manager.

From the Options dialog, choose setting Knowledge Explorer | General Settings | Folder Refresh.

Use the shortcut keys ESC or CTRL+F4 to close the article editor. If necessary, you will be prompted to save your changes.

From the Options dialog, choose setting Knowledge Explorer | Article Editor | Startup Requirements.

From the Options dialog, choose one the Default settings under Knowledge Explorer | Article Editor.

From the Article Editor, choose Properties on toolbar.

  1. Open an article

  2. Choose Properties from the toolbar

  3. Go to the History tab

Altaris Systems

om

True-Knowledge Documentation

Knowledge Explorer Tips

Click one of the topics below to learn more:

General

  • "Auto-Logon" Information and Requirements

  • Locate folder associated with an article

  • Restore deleted articles

  • Add an article to the favorites list

  • Customize the preview pane

  • Customize the results list view

  • Export and Import Search Criteria

  • Make search criteria available to all users within a project

  • Modify the results list refresh behavior

Article Editor

  • Quickly close the editor and save changes (if necessary)

  • Suppress the property dialog display for new articles

  • Use a default title or author for new articles

  • View or change article properties

  • View an article's modification history

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Profile Manager Tips

If a connection profile contains sufficient connection and project logon credentials, then from the Launch Pad, you have the option of automatic logging into a project using the Knowledge Explorer.

Requirements

  1. A connection profile must contain a valid database connection, project, account and password.

  2. The option System | Auto Logon must be selected.

See one of the following topics:

Export Profile

Import Profile

Altaris Systems

True-Knowledge Documentation

Profile Manager Tips

Click one of the topics below to learn more:

  • "Auto-Logon" Information and Requirements

  • Import and Export profiles

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Distribute Profile

Role | Everyone
Requirements | You should be familiar with exporting and importing connection profiles.
Quick Tip | True-Knowledge profile export files contain a ".ksc" file extension.

To distribute a profile, follow these steps:

  1. Export an existing profile using the Profile Manager.

  2. Copy the resulting saved connection file (e.g. "myfile.ksc") to another location or computer as desired.

  3. Use the Profile Manager to import the contents of the saved connection file.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Import Data from Delimited Text File

RESERVED for future topic.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Import Data from XML File

RESERVED for future topic.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Start Here

If you are new to Altaris True-Knowledge, please spend a few moments browsing the Overview of Altaris True-Knowledge. This will help you to become familiar with Altaris True-Knowledge and how it can help you.

If you have recently upgraded from an earlier version of Altaris KB-Master, please see the Feature Summary for a concise description of new Altaris True-Knowledge features.

Whether you are new to Altaris True-Knowledge or an experienced user, it is well worth spending time browsing through the Altaris True-Knowledge documentation. Although easy to use, Altaris True-Knowledge has a number of advanced capabilities that are easy to overlook.

Buy Altaris True-Knowledge

  • How to Buy
  • How to Upgrade
  • Prices
  • Find a Reseller
  • Register your Purchase *

How to get help while you are working

You can obtain help at any time by pressing the F1 key or by using the features described below.

Some windows contain a Help button. Click the button to see information about the purpose of the window and how to use the controls within it.

Some windows contain a small question mark button in their caption bars next to the Close button. Click on this button and then on a control within the window to see a description of what the control does.

Legal notices

Altaris True-Knowledge Professional v3.1 and this documentation are Copyright © 1997-2004 Altaris Systems, Inc. All rights reserved.

Altaris, the Altaris Logo, KB-Master, True-Knowledge and True-Knowledge Professional are trademarks of Altaris Systems, Inc*. Windows, Windows NT, Windows 95, Windows 98, Windows 2000 and Windows XP are trademarks or registered trademarks of Microsoft® Corporation *.

If you are new to Altaris True-Knowledge, please spend a few moments browsing the Overview of Altaris True-Knowledge. This will help you to become familiar with Altaris True-Knowledge and how it can help you.

If you have recently upgraded from an earlier version of Altaris KB-Master, please see the Feature Summary for a concise description of new Altaris True-Knowledge features.

Whether you are new to Altaris True-Knowledge or an experienced user, it is well worth spending time browsing through the Altaris True-Knowledge documentation. Although easy to use, Altaris True-Knowledge has a number of advanced capabilities that are easy to overlook.

Buy Altaris True-Knowledge

  • How to Buy
  • How to Upgrade
  • Prices
  • Find a Reseller
  • Register your Purchase *

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Using the New Project Wizard

Role | Administrator
Requirements | 1. True-Knowledge must be installed 2. A True-Knowledge database has been created
Previous Step | Install True-Knowledge
Next Step | Use the Knowledge Explorer or Management Console

Follow these steps to get started with the New Project Wizard:

  1. From the True-Knowledge program group, start the True-Knowledge Launch Pad. When presented with the “Welcome” screen, press Next to continue.

  2. Select option New Project Wizard and press OK.

  3. From the Welcome screen, press Next to continue.

  4. On the Database Connection screen, select your target database information and press Next to continue. If you want to test your connection, press the Test Connection button.

  5. On the Administrator Accounts screen, specify a new administrator account and password. You will also be required to change the default "Admin" administrator account. Press Next to continue.

  6. On the Project Information screen, specify a name and description for your project. The project name will be available in Project Manager selection lists. Press Next to continue.

  7. On the Project Folder Layout screen, either select one of the default folder layouts or create your own layout. You will be also able to maintain folders from the Knowledge Explorer later. Press Next to continue.

  8. On the Security Roles screen, specify the new names for the Administrator and General User roles. You may also maintain these roles using the Management Console later. Press Next to continue.

  9. On the Profile Name screen, specify a name for your connection profile. This profile will contain the database connection and project information that you have specified up to this point. You may use the Profile Manager to change this information at a later time. Press Next to continue.

  10. On the Finish Processing screen, press the Finish button and the wizard will process your information. During processing, you will see the current tasks and results. When the wizard has finished, you will see a list of messages generated by the wizard. Press Close to exit the wizard.

  11. Now restart the Launch Pad.

  12. If you are ready to add content to your database, run the Knowledge Explorer.

  13. If you want to perform administrative tasks within your database or project, run the Management Console.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.


Who's Connected?

Role

Administrator

Purpose

This option allows an administrator to see how many users have open connections to an existing Access-compatible True-Knowledge database..

Notes

  1. This function only works on Microsoft Access-compatible True-Knowledge databases.

  2. True-Knowledge always employs the user name of "admin" when connecting an Access database. So you may see more than one entry listed for this user name. The more useful field is the computer field because it helps to identify how many different machines are connected to the database.

To review a list of the users who have connected to an existing True-Knowledge Access database:

  1. Start the Management Console

  2. You may choose menu System | Connected. Alternatively, navigate to the Management folder

  3. Select the Connected folder. A list of all users that are connected to the database will be listed in the results pane.

Copyright �-2004 Altaris Systems, Inc. All rights reserved.